Bug 1013686 - Please package Pitivi 0.92 for Fedora 20
Please package Pitivi 0.92 for Fedora 20
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
: 1013542 1026223 (view as bug list)
Depends On: 1019361 1019403 1019413
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 11:27 EDT by Jean-François Fortin Tam
Modified: 2014-01-28 23:20 EST (History)
14 users (show)

See Also:
Fixed In Version: gst-editing-services-1.1.90-5.fc20.20140123git105d901
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 09:43:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-François Fortin Tam 2013-09-30 11:27:14 EDT
Hi there,
I'm one of the maintainers of Pitivi. A new 0.91 alpha release is out. It has not been formally announced yet, but I'm filing this request so you can have enough time to work your magic :)

The new version is significantly better than the 0.15.x series while not being significantly worse (as far as we know... that's why we're making this alpha to get wider testing :) Fedora would be a perfect candidate for this.

These are the release notes: http://wiki.pitivi.org/wiki/0.91
You can grab the tarball here: http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.91/


In addition to GStreamer 1.2 and such, you will need the 1.1.90 versions of GES, gnonlin, gstpython

You can get them here:
http://gstreamer.freedesktop.org/src/gnonlin/
http://gstreamer.freedesktop.org/src/gst-python/
http://gstreamer.freedesktop.org/src/gstreamer-editing-services/
Comment 1 Gwyn Ciesla 2013-10-01 08:37:52 EDT
*** Bug 1013542 has been marked as a duplicate of this bug. ***
Comment 2 Gwyn Ciesla 2013-10-11 09:47:52 EDT
Looks like we've got gnonlinm which will need updating.  We don't have gst-python or GES, which I can't get to build.

I'll keep working on it.
Comment 3 Gwyn Ciesla 2013-11-04 10:32:49 EST
*** Bug 1026223 has been marked as a duplicate of this bug. ***
Comment 4 Elad Alfassa 2013-12-05 16:53:00 EST
Jon, any updates? anything I can do to help speed this up?
Comment 5 Gwyn Ciesla 2013-12-06 08:18:39 EST
Sorry, I've been disturbingly busy, maybe take a look at the blocker bugs and see if there's anything you can do there?
Comment 6 Gwyn Ciesla 2013-12-06 10:45:57 EST
I updated things accordingly, and have updated my local package to 0.92, which, once the requirements are met, seems to work.
Comment 7 Fedora Update System 2014-01-23 10:11:16 EST
gst-editing-services-1.1.90-5.fc20.20140123git105d901,pitivi-0.92-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gst-editing-services-1.1.90-5.fc20.20140123git105d901,pitivi-0.92-1.fc20
Comment 8 Christopher Meng 2014-01-23 19:31:35 EST
Would you like to have a look at these bugs?

https://admin.fedoraproject.org/pkgdb/acls/bugs/pitivi
Comment 9 Fedora Update System 2014-01-24 02:49:47 EST
Package gst-editing-services-1.1.90-5.fc20.20140123git105d901, pitivi-0.92-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gst-editing-services-1.1.90-5.fc20.20140123git105d901 pitivi-0.92-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1454/gst-editing-services-1.1.90-5.fc20.20140123git105d901,pitivi-0.92-1.fc20
then log in and leave karma (feedback).
Comment 10 Jean-François Fortin Tam 2014-01-26 17:22:05 EST
Hi Christopher,

> Would you like to have a look at these bugs?

That was in my plans yes... once pitivi itself is actually packaged in fedora (I see GES and Gnonlin and gstpython are packaged as updates, but no word on pitivi itself?)

Looking at this bug report list now though, I would just mass-close them with a stock reply. I expect them all to be fixed/obsolete with the new versions.
Comment 11 Jean-François Fortin Tam 2014-01-26 17:26:26 EST
Oh and I'll be happy to do that myself (once the pitivi package is available), however I don't have bugzilla permissions to change others' bug statuses in Red Hat Bugzilla. If you would like me to do so, please tell me where I can obtain supercow powers.
Comment 12 Christopher Meng 2014-01-26 23:57:12 EST
I think you should seek out a way of getting sponsored since you are the upstream and you are willing to handle all these bugs, it's up to you definitely. 

But, you need to register an account in FAS(Fedora Account System), then sign the  Contributor Agreement, then try to join a group which allows you to modify bugs in bugzilla.
Comment 13 Fedora Update System 2014-01-27 08:08:11 EST
gst-editing-services-1.1.90-5.fc20.20140123git105d901, pitivi-0.92-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Jean-François Fortin Tam 2014-01-27 09:38:26 EST
(reopening as it ain't done until pitivi itself is pushed as a packaged update ;)
Comment 15 Gwyn Ciesla 2014-01-27 09:43:19 EST
Except it has been.
Comment 16 Jean-François Fortin Tam 2014-01-27 13:51:10 EST
Oh dayum, hadn't realized as I noticed only the first part of the package update URL, I had no idea that multiple packages could be "bundled" together in an update ;)
Comment 17 Gwyn Ciesla 2014-01-27 13:57:49 EST
Learning is a lifelong process. ;)
Comment 18 Bill 2014-01-27 19:45:45 EST
Won't install for me as gnonlin >= 1.1.90 doesn't seem to have arrived in the repos yet. I'm quite keen to test this new version.
Comment 19 Bill 2014-01-27 20:36:40 EST
PS - installed by temporarily enabling testing repo. Impatient I guess.
Comment 21 Olivier Crête 2014-01-28 23:20:28 EST
Please introduce a new gnonlin1 package, gnonlin 0.10 and 1.x can be paralleled installed like the rest of GStreamer.

Note You need to log in before you can comment on or make changes to this bug.